<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Sistema extends CI_Controller {
	public function __construct(){
        parent::__construct();
        $this->load->model('mgeneral');
    }
    public function index(){
        $this->load->library("funciones");
        $this->funciones->crearInterface(array("modulo/vinicio"),array(array()));
    }
    public function update_clave(){
    	$_POST["where"]["usua_ide"]=$this->session->userdata("usua_ide");
    	$_POST["where"]["usua_user"]=$this->session->userdata("usua_user");
    	echo $this->mgeneral->actualizar("usuarios",$_POST["where"],$_POST["data"]);
    }
	public function cerrar_session(){
		$this->session->sess_destroy();
		redirect(site_url());
	}
}